variable "project_name" {
  description = "Nom du projet / préfixe des ressources réseau"
  type        = string
}

variable "region" {
  description = "Région GCP"
  type        = string
}

variable "frontend_cidr" {
  description = "CIDR pour le subnet frontend"
  type        = string
}

variable "backend_cidr" {
  description = "CIDR pour le subnet backend"
  type        = string
}

variable "database_cidr" {
  description = "CIDR pour le subnet database"
  type        = string
}

variable "ssh_source_ranges" {
  description = "Plage IP autorisée pour le SSH"
  type        = string
}
